[Auto Lisp / Excel / 기타 건축과 컴퓨터에 관련된 사항]

    1  2    로그인  가입
자주사용되는 레이어를 제어하는 Lisp(onekey.lsp)/원키
이 름 강사  
조 회 7,441
받 기 #1 onekey.zip(1.4 KB), Download : 2139
받 기 #2 onekey.lsp(5.2 KB), Download : 139
글자크기
■ 정리


■ 확장자가 보이지 않을때 방법:
   ☞ 만약에 확장자가 보이지 않을경우 확장자를 바꿀수 없기때문에..

   ☞ 이때는 메뉴 -> 도구 -> 폴더옵션 -> 보기 -> 알려진확장자 숨김의 비표체크 풀고
■ 사용하는 방법:
학원/학교-공공장소에서 자신의 폴더 밑에 Lisp라는 폴더를 만들어서 그곳에 다운을 받고
집/사무실 - 자기컴퓨터에서는 캐드폴더 밑에 Lisp라는 폴더를 만들어서 그곳에 다운을 받고

■ 매번 캐드를 실행할때 Appload를 하는 방법:

CAD에서
▣ Command : AppLoad
▣ 창이 뜨면 위치검색 -> 화일선택 -> Load -> Close
▣ Command : 명령어 타이핑



■ 자동으로 Load하는 방법:



CAD에서
▣ Command : AppLoad



바탕화면 -> 내컴퓨터 -> C드라이브 -> Program Files -> 캐드방 -> Support <- 이폴더에 있는..ACAD.lsp / acad2000.lsp를 open 한다
화일을 Open하는 방법은 : 화일을 선택하고 마우스 오른버튼 클릭 연결프로그램 notepad를 선택한다.

( 없으면 notepad(메모장)를 이용하여 만든다 저장할때 새이름으로 저장하는데 화일형식을 모든형식으로 지정을 하고 확장자를 lsp로 해야 한다)


.

중략
.
(load "onekey")
<저장>

CAD를 실행해서..
Command :config
Files -> Support File Search Path -> Add -> Browse -> Lisp 폴더을 찾아서 -> 확인



CAD를 다시 실행하면 Onekey안의 내요을 별도의 로드 없이 사용한다.





■ 레이어 관련 단축키 정리





■ 자동 로딩이 안될때 질문 답변란에 아래 그림처럼 내용을 화면 캡쳐해서 다시 올려주세요



■ 2004에서 acad2004.lsp의 위치



(defun c:ee()
        (command "extend" "" "e" "e" "")
)
(defun c:en()
        (command "extend" "" "e" "n" "")
)
(defun c:x1 ( / old_la cmde pt1 pt2)
  (setq m:err *error* *error* *merr*
        cmde (getvar "CMDECHO")
  )
  (setvar "CMDECHO" 0)
  (setq old_la (getvar "clayer"))
  (setlay "hat")
  (setq pt1 (getpoint "\nFirst corner: ")
        pt2 (getcorner pt1 "\nOther corner: ")
  )
  (command "line" pt1 pt2 "")
  (command "line" (list (car pt1) (cadr pt2)) (list (car pt2) (cadr pt1)) "")
  (setvar "clayer" old_la)
  (setq *error* m:err m:err nil)
  (princ)
)


;; Express 에서의 Isolate 기능입니다.

(defun c:ea()
   (command "erase" "all" "")
)
(defun c:msee()
     (setq cmd (getvar "cmdecho"))
     (setvar "cmdecho" 0)
     (setq ename (car (entsel "\n 남기고 싶은 레이어(Layer)를 선택하세요 :")))
     (setq f_name (open (strcat (getenv "temp") "\\cjm.dat") "w"))
            (setq elist (entget ename))
            (setq lyr (assoc 8 elist))
            (princ (cdr lyr) f_name)
            (princ "\n" f_name)
     (while (/= nil (setq ename (car (entsel "\n 또 남기고 싶은 레이어(Layer) 선택 :"))))
            (setq elist (entget ename))
            (setq lyr (assoc 8 elist))
            (princ (cdr lyr) f_name)
            (princ "\n" f_name)
     )
     (close f_name)
     (command "layer" "set" (cdr lyr) "")
     (command "layer" "off" "*" "y" "on" (cdr lyr) "")
     (@la_on)
     (princ)
)
(defun c:lo()
  (setvar "CMDECHO" 1)
    (command "layer" "set" "0" "on" "*" "off" "temp" "") (prin1)
)
(defun c:lf()
    (command "layer" "on" "*" "Thaw" "*" "off" "temp" "") (prin1)
)
(defun c:lol()
    (command "layer" "on" "*" "off" "temp" "") (prin1)
)


(defun c:LNA()
  (setvar "CMDECHO" 1)
    (command "layer" "on" "*" "") (prin1)
)

(defun c:0()
  (setvar "CMDECHO" 1)
    (command "layer" "SET" "0" "") (prin1)
)

(defun c:CL()
    (command "layer" "SET" "CoL" "") (prin1)
)

(defun c:CT()
    (command "layer" "SET" "Cen" "") (prin1)
)

(defun c:EF()
    (command "layer" "SET" "elv" "") (prin1)
)

(defun c:HD()
    (command "layer" "SET" "Hat" "") (prin1)
)

(defun c:fn()
    (command "layer" "SET" "fin" "") (prin1)
)

(defun c:TX()
    (command "layer" "SET" "Txt" "") (prin1)
)

(defun c:WL()
    (command "layer" "SET" "Wal" "") (prin1)
)

(defun c:dm()
    (command "layer" "SET" "dim" "") (prin1)
)
(defun c:wn()
    (command "layer" "SET" "win" "") (prin1)
)
(defun c:tt()
    (command "layer" "SET" "temp" "") (prin1)
)
(defun c:fur()
    (command "layer" "SET" "fur" "") (prin1)
)
(defun c:zw()
    (command "zoom" "w" ) (prin1)
)
(defun c:zz()
    (command "zoom" "p" ) (prin1)
)
(defun c:ht()
    (command "layer" "set" "hat" "") (prin1)
)
(defun c:aaa()
    (command "layer" "set" "area" "") (prin1)
)
; 스넵을 100으로 설정하는 명령 : 11
(defun c:666()
  (setvar "CMDECHO" 1)
    (command "snap" "6000" ) (prin1))
; 스넵을 100으로 설정하는 명령 : 11
(defun c:333()
  (setvar "CMDECHO" 1)
    (command "snap" "3000" ) (prin1))
; 스넵을 100으로 설정하는 명령 : 11
(defun c:111()
  (setvar "CMDECHO" 1)
    (command "snap" "1000" ) (prin1))
; 스넵을 100으로 설정하는 명령 : 11
(defun c:11()
  (setvar "CMDECHO" 1)
    (command "snap" "100" ) (prin1))
; 스넵을 50으로 설정하는 명령 : 5
(defun c:55()
  (setvar "CMDECHO" 1)
    (command "snap" "500" ) (prin1))
; 스넵을 50으로 설정하는 명령 : 5
(defun c:5()
  (setvar "CMDECHO" 1)
    (command "snap" "50" ) (prin1))
; 스넵을 10으로 설정하는 명령 : 1
(defun c:1()
  (setvar "CMDECHO" 1)
    (command "snap" "10" ) (prin1))



이하 여러분이 많이 사용하는 레이어를 만들었을경우
위와 같은 방법으로 만들면 됩니다..
단,, 명령어를 정할때.. 우선 CAD Command Line에서 만들고자 하는 명령어가 기존에 있는질 확인을 해봐야 합니다.
확인하는 방법은 만들고자 하는 명령어를 타이핑해본다..
그래서 명령어가 들어가지 않을경우 그 단어를 명령어로 사용 하시면 됩니다
choijm67
 윤보섭  (2007-04-25 01:14:50 / 218.155.69.20)   
isolate 의 기능을 위와 같은방법을 어떻게 적용하는지요?
 강사  (2007-04-25 11:29:36 / 211.218.212.220)   
현재 레이어로 설정하는 단축키로 사용이 되는거예요,, 즉..
Col 레이어로 현재 레이어로 설정하고 싶으면 Cl만 타이핑하면 되구요..
Isolate에서 선택된 레이어만 나타났을때 다시 전체를 나타나게 하고 싶을경우 Lo를 타이핑을 하면 모든 레이어가 나타 나는 기능이지요..

그런데 만약에 자신이 그리고 있는 도면의 레이어가 선생님이 지정한 col레이어가 아닌 다른 레이어를 사용하고 싶을경우에 Onekey.lsp 화일을 수정을 하면되는데 그 방법을 간단히 설명을 하면
우선 Onekey.lsp 화일을 더블 클릭을 해서..
.
.
(defun c:CL()
(command "layer" "SET" "CoL" "") (prin1)
)
.
.
col이라는 단어만 변경을 해서 저장을 하면 됩니다..
다른 레이어도 만찬가지로 수정을 하면 그 명령어를 타이핑하였을때 그 레이어로 설정이 되겠죠?
 박시우  (2013-11-11 22:51:49 / 121.130.144.206)   
선생님잘 지내고 계십니까..ㅋㅋ
컴퓨터 다시 설치해서 리습 다운 받을려고 했는...다운이 안되네요....우울해요..ㅋㅋ
분류
번호 제목 이름보기
29  홈페이지에 있는 Lisp을 사용하는 방법 +1  강사2489
 프로그램을 다운받을때 안되면   강사2142
27  캐드에서 여러개도면 띄워놓고 보는 프로그램 docbar +2  김길준4074
26  캐드 기초 강좌 녹화 방송 진행-캐드 기초강좌 면적구하기 +4  강사2176
25  첫글자를 대문자로 변경하는 프로그램 +1  강사1499
 자주사용되는 레이어를 제어하는 Lisp(onekey.lsp)/원키 +3  강사7441
23  입면에 레벨표시 / 평면에 레벨 표시해주는 프로그램-lem +6  강사7916
22  이미 써진 글자 크기를 변경하는 프로그램   강사4089
21  왼쪽 빈글자 trim   강사1526
20  선의 길이를 text로 넣어주는것 +2  배재일5812
19  벽체를 그리는 프로그램-wa +1  강사6271
18  문그리는 프로그램 +5  강사2287
17  면적을 구하는 프로그램/캐드 면적구하는법 +3  강사8103
16  리습강좌 홈페이지 ^-^   강사2462
15  레이어를 켜고 끄는 리습   배재일2427
14  단열재그리는 프로그램   강사9668
13  끊어진 벽체 이어주는 프로그램   강사2728
12  계단그리는 프로그램입니다. +2  강사16518
11  건축과 인테리어에서 컴퓨터를 툴(Tool)로 알아두어야 할 사항 정리 +1  강사2362
10  간단한 창문을 그리는 프로그램   강사5721
Copyright 1999-2024 Zeroboard / skin by SIRINI

[ 채팅창 크게보기 ] ■ 이곳은 실시간 채팅 창입니다. 자유로운 의견 나누시기 바랍니다.[ 2024-07-22 ] ■